import { InputSignal, WritableSignal, OutputEmitterRef } from '@angular/core';
import type { AutoHighlightResult, HighlightResult } from 'highlight.js';
import { HighlightJS } from './highlight.service';
import * as i0 from "@angular/core";
export declare abstract class HighlightBase {
    protected _hljs: HighlightJS;
    private readonly _nativeElement;
    private _sanitizer;
    abstract code: InputSignal<string>;
    abstract highlightResult: WritableSignal<HighlightResult | AutoHighlightResult>;
    abstract highlighted: OutputEmitterRef<HighlightResult | AutoHighlightResult>;
    constructor();
    protected abstract highlightElement(code: string): Promise<void>;
    private setTextContent;
    private setInnerHTML;
    static ɵfac: i0.ɵɵFactoryDeclaration<HighlightBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<HighlightBase, never, never, {}, {}, never, never, true, never>;
}
